# ARXWizard (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ARXWizard<T>

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.deidentifier.arx.gui.view.impl.wizard.ARXWizard<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    org.eclipse.jface.wizard.IWizard
  Direct Known Subclasses:
    HierarchyWizard, ImportWizard

      public abstract class ARXWizard<T>
      extends org.eclipse.jface.wizard.Wizard
      implements org.eclipse.jface.wizard.IWizard

  This class implements an abstract base class for wizards.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.wizard.Wizard

      `DEFAULT_IMAGE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ARXWizard()` Creates a new instance.
    `protected` | `ARXWizard(org.eclipse.swt.graphics.Point pageSize)` Creates a new instance with given page size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.swt.widgets.Button` | `getButton(ARXWizardDialog.ARXWizardButton button)` Returns the button created for the given specification.
    `protected ARXWizardDialog` | `getDialog()` Returns the associated dialog.
    `abstract T` | `getResult()` Returns the result.
    `boolean` | `open(org.eclipse.swt.widgets.Shell shell)` Opens the dialog.
    `boolean` | `performFinish()`
    `protected void` | `setButtons(ARXWizardDialog.ARXWizardButton... buttons)` Sets the buttons.

    - ### Methods inherited from class org.eclipse.jface.wizard.Wizard

      `addPage, addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.wizard.IWizard

      `addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

- - ### Constructor Detail

    - #### ARXWizard

          protected ARXWizard()

      Creates a new instance.

    - #### ARXWizard

          protected ARXWizard(org.eclipse.swt.graphics.Point pageSize)

      Creates a new instance with given page size.
      Parameters:
        `pageSize` -

  - ### Method Detail

    - #### getResult

          public abstract T getResult()

      Returns the result.
      Returns:

    - #### open

          public boolean open(org.eclipse.swt.widgets.Shell shell)

      Opens the dialog.
      Parameters:
        `shell` -
      Returns:
        OK pressed

    - #### performFinish

          public boolean performFinish()

      Specified by:
        `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
      Specified by:
        `performFinish` in class `org.eclipse.jface.wizard.Wizard`

    - #### getButton

          protected org.eclipse.swt.widgets.Button getButton(ARXWizardDialog.ARXWizardButton button)

      Returns the button created for the given specification.
      Parameters:
        `button` -
      Returns:

    - #### getDialog

          protected ARXWizardDialog getDialog()

      Returns the associated dialog.
      Returns:

    - #### setButtons

          protected void setButtons(ARXWizardDialog.ARXWizardButton... buttons)

      Sets the buttons.
      Parameters:
        `buttons` -